Page MenuHomePhabricator

"mail me a new password" email has no FROM:
Closed, DeclinedPublic

Description

Author: mikep

Description:
The email message generated by the "mail me a new password" does not give a FROM: line as part of the data
sent. This keeps the email message from being accepted by some ISPs because it is suspected as SPAM.


Version: 1.3.x
Severity: normal
OS: Linux
Platform: PC

Details

Reference
bz1541

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 8:14 PM
bzimport set Reference to bz1541.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Feb 15 2005, 2:49 PM

(In reply to comment #0)

The email message generated by the "mail me a new password" does not give a

FROM: line as part of the data

sent. This keeps the email message from being accepted by some ISPs because

it is suspected as SPAM.

This problem is solved within my ENotif patched versions, available for 1.3.7.
1.3.10 and in CVS HEAD. A -f parameter needs to added to the php mial() call as
indicated in the module UserMailer.php in CVS HEAD

See also http://bugzilla.wikipedia.org/show_bug.cgi?id=454

Tom

brion added a comment.Feb 15 2005, 9:21 PM

The -f parameter sets the envelope sender, not the From: header. If it's not
explicitly set, the envelope sender will be the web server's user account name (eg
'apache' or 'nobody') with the web server as the hostname. If that doesn't resolve
or the web server is not accepting incoming mail, some anti-spam systems will
tag that. This parameter can be overridden in php.ini; see the PHP documentation
for the mail function.

The From: header is set and used by the userMailer function with the given $from
address; for password reminders it uses the $wgPasswordSender address which
on a default install is the administrator e-mail given in the install configuration
form. (If you don't set it manually it defaults to the web server's reported admin e-
mail address, which may not be accurate.)

If you're absolutely sure there is no From: header on your messages, please attach
a sample message with complete headers to this bug report, and give some
details of your configuration (PHP version, any configuration options changed,
mail transfer agent package and version, any relevant configuration options, etc).

(In reply to comment #2)

The From: header is set and used by the userMailer function with the given $from
address; for password reminders it uses the $wgPasswordSender address [...]
If you're absolutely sure there is no From: header on your messages, please

attach

a sample message [...]

( Brion: thanks for the clarifying answer - Tom (I understood, that my answer
was misleading, if not even wrong) )

hashar added a comment.Mar 4 2005, 1:24 PM

Looks ok for us, most probably a user side configuration trouble.